### Hierarchy

- JsonFormsIonicLayout
  - GroupLayoutRenderer

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- elements
- initializers
- label
- ngRedux
- path
- schema
- subscription
- uischema

### Methods

- getOwnProps
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new GroupLayoutRenderer(ngRedux: NgRedux<JsonFormsState>): GroupLayoutRenderer

- Overrides JsonFormsIonicLayout.constructor

  - Defined in layouts/group/group-layout.ts:35

  #### Parameters

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns GroupLayoutRenderer

## Properties

### elements

elements: UISchemaElement[]

Inherited from JsonFormsIonicLayout.elements

- Defined in layouts/JsonFormsIonicLayout.ts:14

### initializers

initializers: any[] = []

Inherited from JsonFormsIonicLayout.initializers

- Defined in layouts/JsonFormsIonicLayout.ts:16

### label

label: string

- Defined in layouts/group/group-layout.ts:35

### Protected ngRedux

ngRedux: NgRedux<JsonFormsState>

Inherited from JsonFormsIonicLayout.ngRedux

- Defined in layouts/JsonFormsIonicLayout.ts:18

### path

path: string

Inherited from JsonFormsIonicLayout.path

Overrides JsonFormsBaseRenderer.path

- Defined in layouts/JsonFormsIonicLayout.ts:13

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### subscription

subscription: Subscription

Inherited from JsonFormsIonicLayout.subscription

- Defined in layouts/JsonFormsIonicLayout.ts:15

### uischema

uischema: UISchemaElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/ionic/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from JsonFormsIonicLayout.ngOnDestroy

  - Defined in layouts/JsonFormsIonicLayout.ts:37

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Inherited from JsonFormsIonicLayout.ngOnInit

  - Defined in layouts/JsonFormsIonicLayout.ts:22

  #### Returns void

Generated using TypeDoc